Bug 62456 - Vertically flipped shape anchored to cell at wrong position and wrong size when reopen .ods
Summary: Vertically flipped shape anchored to cell at wrong position and wrong size wh...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2013-03-18 07:51 UTC by Rainer Bielefeld Retired
Modified: 2019-02-15 21:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (8.09 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-03-18 07:51 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-03-18 07:51:03 UTC
Created attachment 76675 [details]
Sample Document

I found this one during my tests for "Bug 62448 - FILESAVE .ods with wrong double size of vertically flipped (triangle) drawing shape anchored to cell"

Steps how to reproduce with Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit):
1. Open new spreadsheet from LibO Start Center:
2. draw a Basic Shape Triangle with cell width and similar height, bas line 
   = bottom border of cell D24
3. 'Rightclick shape -> Flip -> Vertically'
4. If necessary ''Rightclick shape -> Anchor -> To Cell'
5. Save -> Close -> Reopen
   Expected: Shape at old position
   Actual: shifted approximately 1 shape width to the left and 1 shape height up

Already a problem with OOo 2.0

I can't tell whether it's a FILEOPEN or a FILESAVE problem. But Later versions show an additional Fileopen problem.

Until 
server installation of "LibO  4.0.1.2 release   -  German UI / German Locale  [Build ID: 84102822e3d61eb989ddd325abf1ac077904985)]"  {tinderbox: @6, pull time  2013-02-28 08:53(?)} on German WIN7 Home Premium (64bit) with newly created user profile ….\LibreOffice\4012\ 
the shape in attached sample document will be shown in D16D19 (instead of D20:D23).

Parallel Dev-installation of  "Version 4.1.0.0.alpha0+ (Build ID: 61add5c77de1ff963b839020c77f67f14ef07de) TinderBox: Win-x86@6, Branch:master, Pull Time:  2013-03-05_00:20:08" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LODev/4 Masters User Profile 
Shows the shape in the sample document more shifted in B12:B15
Comment 1 Rainer Bielefeld Retired 2013-03-18 07:54:26 UTC
Related: "AOOo#18868 - vertical flipped custom shape opens with wrong position"

Relation to Cell anchor, flipping and so on can be seen in Attachment 76673 [details] for Bug 62448
	

@Spreadsheet Team
Please change  Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 2 QA Administrators 2015-03-17 00:07:25 UTC Comment hidden (obsolete)
Comment 3 Faisal Menawer 2015-03-17 05:02:59 UTC
the bug still reproduced
i use Libreoffice Version: 4.5.0.0.alpha0+
on Linux mint 17 cinnamon 64-bit
Comment 4 tommy27 2016-04-16 07:23:10 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:22:49 UTC Comment hidden (obsolete)
Comment 6 Timur 2017-11-13 18:02:52 UTC
Behavior is different from scratch and with attachment 76675 [details]. Anyway, repro.
Comment 7 QA Administrators 2018-11-14 03:45:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug